This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 603653

Summary: " Upgrade root not found " when using preupgrade to upgrade from Fedora 12 to Fedora 13
Product: [Fedora] Fedora Reporter: suri <surichauhan>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 12CC: cagonto1980, dtimms, redhat, rhughes, richard, wfrazee
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 08:52:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description suri 2010-06-14 05:17:36 EDT
Description of problem:
I am trying to upgrade to Fedora 13 from Fedora 12 using preupgrade-1.1.7-1.fc12.noarch but produces a window with the following  error message:
 Upgrade root not found and under this another message saying " The root for the previously installed system was not found" with a exit installer button.I have seached bugzilla  and the net, but found similar issues but no solution or explantion on why this could be happening.Can some help me with this as I have been trying to solve this on my own for the last 2 weeks and getting very frustrated at the lack of support from fedora.




Version-Release number of selected component (if applicable):

preupgrade-1.1.7-1.fc12.noarch
Fedora 12 2.6.32.12-115.fc12.i686.PAE

How reproducible:


Steps to Reproduce:
1.Run preupgrade in terminal wait till it gets to "installation will start after reboot" and then reboot system.
2.Once it reboots it gets to finding storage devices then comes up with the error " The root for the previously installed system was not found"
3.
  
Actual results:as above


Expected results:expect the upgrade process to continue past the finding storage devices section.


Additional info:

df -h

Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2              74G  496M   70G   1% /
tmpfs                 628M     0  628M   0% /dev/shm
/dev/sda9              20G  3.3G   15G  18% /tmp
/dev/sda5              97G  5.4G   86G   6% /var
/dev/sda7              61G  3.6G   54G   7% /home
/dev/sda1             985M  242M  743M  25% /boot
/dev/sda3              97G  7.8G   84G   9% /usr
/dev/sda8              49G  325M   46G   1% /opt
/dev/sda6              61G  230M   58G   1% /usr/local

fstab:

#
# /etc/fstab
# Created by anaconda on Mon Aug  3 19:28:21 2009
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or vol_id(8) for more info
#
UUID=da677907-46c7-40ab-983d-c0276f673874 /tmp                    ext4    defaults        1 2
UUID=1aa36835-d98a-4845-9d32-33434b2f46c2 /var                    ext4    defaults        1 2
UUID=d76537f7-7479-449e-9e17-298b8e7f6313 /home                   ext4    defaults        1 2
UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa /boot                   ext3    defaults        1 2
UUID=92c03f04-4a8d-472b-a47c-35483e52c70e /usr                    ext4    defaults        1 2
UUID=7f8660e6-fbf2-4407-934a-caabdd5305ed /                       ext4    defaults        1 1
UUID=882d30e2-86c2-4f10-80ab-6fdc7eb9306b /opt                    ext4    defaults        1 2
UUID=ad8c4bd8-395a-48b8-a617-62b35a7bb367 /usr/local              ext4    defaults        1 2
UUID=d71d87f8-f181-4bc8-a4b0-04eda2178e21 swap                    swap    defaults        0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620        0 0
#devpts options modified by setup update to fix #515521 ugly way
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
 /boot/grub/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/sda2
#          initrd /initrd-version.img
#boot=/dev/sda
default=1
timeout=4
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu

#title Windows 2000
#rootnoverify (hd1,0)
#makeactive
#map (hd0) (hd1)
#map (hd1) (hd0)
#chainloader +1

title Upgrade to Fedora 13 (Goddard)
kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29f
a:/upgrade/ks.cfg stage2=hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa:/upgrade/install.img
initrd /upgrade/initrd.img
title Fedora (2.6.32.12-115.fc12.i686.PAE)
	root (hd0,0)
	kernel /vmlinuz-2.6.32.12-115.fc12.i686.PAE ro root=UUID=7f8660e6-fbf2-4407-934a-caabdd5305ed nomodeset rhgb
 quiet SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=uk
	initrd /initramfs-2.6.32.12-115.fc12.i686.PAE.img

/boot/upgrade]#>ls -al
total 178228
drwxr-xr-x. 2 root root      4096 Jun 13 18:44 .
dr-xr-xr-x. 6 root root      4096 Jun 13 18:37 ..
-rw-r--r--. 1 root root  29146452 May 13 01:57 initrd.img
-rw-r--r--. 1 root root 149716992 May 13 02:00 install.img
-rw-r--r--. 1 root root       293 Jun 13 18:40 ks.cfg
-rw-r--r--. 1 root root   3434592 May 13 01:57 vmlinuz

more ks.cfg
# ks.cfg generated by preupgrade
lang en_US.UTF-8
keyboard uk
bootloader --upgrade --location=none
clearpart --none
upgrade --root-device=UUID=7f8660e6-fbf2-4407-934a-caabdd5305ed
reboot


%post
grubby --remove-kernel=/boot/upgrade/vmlinuz
rm -rf /boot/upgrade /var/cache/yum/preupgrade*
%end
Comment 1 suri 2010-06-14 05:29:15 EDT
I have disconnect my windows disk and no more running a daul boot system.Also I have checked the space on /boot and it is above 500mb which is what fedora recommend.
 No other errors ocurr before this error and I can still run Fedora 12 , but can't update any  fedora 12 software.It looks like the upgrade has converted all my Fedora 12 repos to Fedora 13 repos.
Comment 2 David Timms 2010-06-16 10:03:31 EDT
(In reply to comment #0)
> Description of problem:
> I am trying to upgrade to Fedora 13 from Fedora 12 using
> preupgrade-1.1.7-1.fc12.noarch but produces a window with the following  error
> message:
>  Upgrade root not found and under this another message saying " The root for
> the previously installed system was not found" with a exit installer button.I
> have seached bugzilla  and the net, but found similar issues but no solution 
...
> title Upgrade to Fedora 13 (Goddard)
> kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade
> ks=hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29f
> a:/upgrade/ks.cfg
> stage2=hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa:/upgrade/install.img
> initrd /upgrade/initrd.img

If you are still in this state, can you please note what happens once the error dialog you mention is shown ?
Comment 3 David Timms 2010-06-16 10:15:47 EDT
> If you are still in this state, can you please note what happens once the error
> dialog you mention is shown ?    

Specifically, does anaconda hang ?
Can you still move the cursor ?
type keys ?
ctrl-alt-f2 ?
ctrl-alt-f3 etc ?
Comment 4 suri 2010-06-16 13:00:49 EDT
As I mentioned above a Gui box is displayed within it it say's " The root for the previously system was not found" and next to it is a button which say's "Exit installation". I can move the cursor and Exit the installation when I click the button. I haven't tried the Ctrl keys so i don't know if they work and i don't think anaconda hangs,it justs comes up with the above error. I am in the UK (england)
Comment 5 David Timms 2010-06-16 18:11:23 EDT
(In reply to comment #4)
> I can move the cursor and Exit the installation when I
> click the button.
OK, my install just locks up once it shows the message. Mouse moves/clicking don't work, and I can't get to a virtual console (ctrl-alt-f2 etc). I have to hard power off the machine. I'm on a virt machine. Perhaps the underlying cause for me is different.

> I haven't tried the Ctrl keys so i don't know if they work
Can you post what are the last messages printed in the terminals:
ctrl-alt-f3, f4, f5 ?
Comment 6 suri 2010-06-17 14:36:49 EDT
When I type preupgrade-cli "fedora 13 (Goddard)" in a terminal window it downloads all the files and software updates for fedora 13.Then it says installation will begin once the PC is rebooted.
I then reboot the PC and it starts and then a blue screen comes up with the message under it saying running anaconda,then another message comes up saying finding storage Devices. Then  a box with the message "The root for the previously installed system was not found". At this stage the box with the error message is the only thing on the screen. I can move the cursor and use the mouse and keyboard. Everything else seems to be ok and the system does not hang. If  I click the exit installation button, it reboots and then I can log back into Fedora 12.
There is an option in my grub menu that allows me to run the upgrade,but this option produces the same error.

ctrl-alt-f3 gives me the following:

INFO anaconda: failed to set SELINUX context for /mnt/sysimage:[Error 95] Operation not supported.
INFO storage : set SELINUX context for mount point /mnt/sysimage to none.
INFO anaconda: failed to set SELINUX context for /mnt/sysimage : [Error 30].Read-only file system
Waring anaconda : step complete does not exit
INFO anaconda: leaving (1) step find root parts.
INFO anaconda: moving (1) to step upgrade mount

crt-alt-f4 gives me the following:

Warn Kernel:
Err Kernel:{drm:drm_edid_block_valid]*ERROR*
                  EDID checksum is invalid, remainder is 49

ctrl-alt-f5 gives me the following:
(EE) Algix error: dlopen of /usr/lib/dri/nouveus_viex_dri.so failed (/usr/lib/dir/nouveau_viex_dri.so:cannot open shared object file>No such file or directory.)

I don't know how to copy all the errors as I can't seem to get access to any of my applications from the upgrade boot screen. I hope this helps
Comment 7 suri 2010-06-28 08:04:56 EDT
Hello ....anybody there !
Comment 8 suri 2010-06-29 04:57:08 EDT
This may help below is the anaconda.log  and anaconda.yum.log 

more anaconda.log 
10:48:47,628 INFO loader: kernel command line: preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=a66760ee-c
4ed-4a96-8553-35dae80e29fa:/upgrade/ks.cfg stage2=hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa:/upgrade/install.im
g

10:48:47,628 DEBUG loader: no ifcfg files found in /etc/sysconfig/network-scripts
10:48:47,628 INFO loader: anaconda version 13.42 on i386 starting
10:48:47,636 INFO loader: 1286036 kB are available
10:48:47,858 ERROR loader: removing ddmode.conf failed
10:48:47,860 DEBUG loader: probing buses
10:48:48,381 DEBUG loader: waiting for hardware to initialize
10:48:52,587 INFO loader: getting kickstart file
10:48:52,587 INFO loader: getting kickstart file from harddrive
10:48:52,587 INFO loader: Loading ks from device UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa on path /upgrade/ks.cfg
10:48:52,588 INFO loader: getFileFromBlockDevice(UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa, /upgrade/ks.cfg)
10:48:53,212 INFO loader: Searching for file on path /tmp/mnt//upgrade/ks.cfg
10:48:53,243 INFO loader: file copied to /tmp/ks.cfg
10:48:53,243 INFO loader: setting up kickstart
10:48:53,245 INFO loader: trying to mount CD device /dev/sr0 on /mnt/stage2
10:48:53,248 INFO loader: drive status is CDS_DISC_OK
10:48:55,752 INFO loader: trying to mount CD device /dev/sr1 on /mnt/stage2
10:48:55,759 INFO loader: drive status is CDS_TRAY_OPEN
10:48:55,759 ERROR loader: Drive tray reports open when it should be closed
10:49:10,794 DEBUG loader: going to set language to en_US.UTF-8
10:49:10,795 INFO loader: setting language to en_US.UTF-8
10:49:10,804 INFO loader: starting STEP_STAGE2
10:49:10,804 INFO loader: partition is UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa, dir is /upgrade/install.img
10:49:10,804 INFO loader: mounting device UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa for hard drive install
10:49:11,429 INFO loader: Path to stage2 image is /mnt/isodir/upgrade/install.img
10:49:13,630 INFO loader: mounted loopback device /mnt/runtime on /dev/loop0 as /tmp/install.img
10:49:13,631 INFO loader: Looking for updates for HD in /mnt/isodir/upgrade/updates.img
10:49:13,631 INFO loader: Looking for product for HD in /mnt/isodir/upgrade/product.img
10:49:13,669 INFO loader: got stage2 at url hd:UUID=a66760ee-c4ed-4a96-8553-35dae80e29fa://upgrade/install.img
10:49:13,820 INFO loader: Loading SELinux policy
10:49:14,791 INFO loader: getting ready to spawn shell now
10:49:15,193 INFO loader: Running anaconda script /usr/bin/anaconda
10:49:22,266 INFO anaconda: ISCSID is /usr/sbin/iscsid
10:49:22,268 INFO anaconda: no initiator set
10:49:22,638 INFO anaconda: no /tmp/fcpconfig; not configuring zfcp
10:49:22,655 INFO anaconda: created new libuser.conf at /tmp/libuser.xzcqZ2 with instPath=""
10:49:22,768 INFO anaconda: created new libuser.conf at /tmp/libuser.FBZaGl with instPath="/mnt/sysimage"
10:49:22,770 INFO anaconda: running "ssh-keygen -q -t dsa -f /etc/ssh/ssh_host_dsa_key -C  -N "
10:49:22,778 INFO anaconda: anaconda called with cmdline = ['/usr/bin/anaconda', '--stage2', 'hd:UUID=a66760ee-c4e
d-4a96-8553-35dae80e29fa://upgrade/install.img', '--kickstart', '/tmp/ks.cfg', '--graphical', '--selinux', '--lang
', 'en_US.UTF-8', '--keymap', 'uk', '--repo', 'hd::/var/cache/yum/preupgrade']
10:49:22,783 INFO anaconda: Display mode = g
10:49:22,784 INFO anaconda: Default encoding = utf-8 
10:49:25,086 INFO anaconda: running "ssh-keygen -q -t rsa -f /etc/ssh/ssh_host_rsa_key -C  -N "
10:49:26,117 INFO anaconda: running "ssh-keygen -q -t rsa1 -f /etc/ssh/ssh_host_key -C  -N "
10:49:26,907 INFO anaconda: Started mini-wm
10:49:27,951 INFO anaconda.stdout: Starting graphical installation.
10:49:30,185 INFO anaconda: using only installclass _Fedora
10:49:30,212 INFO anaconda: Detected 1264M of memory
10:49:30,213 INFO anaconda: Swap attempt of 1264M to 2528M
10:49:35,452 INFO anaconda: ISCSID is /usr/sbin/iscsid
10:49:35,453 INFO anaconda: no initiator set
10:49:44,211 WARNING anaconda: step installtype does not exist
10:49:44,212 WARNING anaconda: step checkdeps does not exist
10:49:44,213 WARNING anaconda: step dependencies does not exist
10:49:44,214 WARNING anaconda: step confirmupgrade does not exist
10:49:44,216 WARNING anaconda: step complete does not exist
10:49:44,217 WARNING anaconda: step complete does not exist
10:49:44,218 WARNING anaconda: step complete does not exist
10:49:44,219 WARNING anaconda: step complete does not exist
10:49:44,220 WARNING anaconda: step complete does not exist
10:49:45,691 INFO anaconda: moving (1) to step findrootparts
10:49:45,693 DEBUG anaconda: findrootparts is a direct step
10:49:45,739 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:45,742 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda6 on /mnt/sysimage as ext4 with options ro
10:49:45,814 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:45,828 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:45,836 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:46,056 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:46,058 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda7 on /mnt/sysimage as ext4 with options ro
10:49:46,124 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:46,134 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:46,142 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:46,355 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:46,358 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda2 on /mnt/sysimage as ext4 with options ro
10:49:46,442 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:46,457 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:46,482 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:46,697 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:46,700 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda3 on /mnt/sysimage as ext4 with options ro
10:49:46,781 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:46,798 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:46,806 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:47,022 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:47,024 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda1 on /mnt/sysimage as ext3 with options ro
10:49:47,056 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:47,060 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:47,068 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:47,282 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:47,284 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda5 on /mnt/sysimage as ext4 with options ro
10:49:47,369 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:47,381 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:47,388 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:47,600 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:47,603 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda8 on /mnt/sysimage as ext4 with options ro
10:49:47,672 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:47,689 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:47,697 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:47,910 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:47,912 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda9 on /mnt/sysimage as ext4 with options ro
10:49:47,966 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 30] Read-only file system
10:49:47,984 INFO anaconda: failed to set SELinux context for /mnt/sysimage/lost+found: [Errno 30] Read-only file 
system
10:49:48,000 DEBUG anaconda: isys.py:umount()- going to unmount /mnt/sysimage, removeDir = False
10:49:48,185 WARNING anaconda: step complete does not exist
10:49:48,186 INFO anaconda: leaving (1) step findrootparts
10:49:48,187 INFO anaconda: moving (1) to step upgrademount
10:49:48,189 DEBUG anaconda: upgrademount is a direct step
10:49:48,219 INFO anaconda: failed to set SELinux context for /mnt/sysimage: [Errno 95] Operation not supported
10:49:48,222 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda2 on /mnt/sysimage as ext4 with options defau
lts
10:49:48,885 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda1 on /mnt/sysimage/boot as ext3 with options 
defaults
10:49:48,948 DEBUG anaconda: isys.py:mount()- going to mount //dev on /mnt/sysimage/dev as bind with options defau
lts,bind
10:49:48,978 DEBUG anaconda: isys.py:mount()- going to mount devpts on /mnt/sysimage/dev/pts as devpts with option
s gid=5,mode=620
10:49:49,003 DEBUG anaconda: isys.py:mount()- going to mount tmpfs on /mnt/sysimage/dev/shm as tmpfs with options 
defaults
10:49:49,051 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda7 on /mnt/sysimage/home as ext4 with options 
defaults
10:49:49,157 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda8 on /mnt/sysimage/opt as ext4 with options d
efaults
10:49:49,230 INFO anaconda: failed to get default SELinux context for /proc: [Errno 2] No such file or directory
10:49:49,232 DEBUG anaconda: isys.py:mount()- going to mount proc on /mnt/sysimage/proc as proc with options defau
lts
10:49:49,245 INFO anaconda: failed to get default SELinux context for /proc: [Errno 2] No such file or directory
10:49:49,257 INFO anaconda: failed to get default SELinux context for /sys: [Errno 2] No such file or directory
10:49:49,260 DEBUG anaconda: isys.py:mount()- going to mount sysfs on /mnt/sysimage/sys as sysfs with options defa
ults
10:49:49,282 INFO anaconda: failed to get default SELinux context for /sys: [Errno 2] No such file or directory
10:49:49,320 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda9 on /mnt/sysimage/tmp as ext4 with options d
efaults
10:49:49,407 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda3 on /mnt/sysimage/usr as ext4 with options d
efaults
10:49:49,637 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda6 on /mnt/sysimage/usr/local as ext4 with opt
ions defaults
10:49:49,743 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda5 on /mnt/sysimage/var as ext4 with options d
efaults
10:49:49,959 INFO anaconda: leaving (1) step upgrademount
10:49:49,961 INFO anaconda: moving (1) to step enablefilesystems
10:49:49,962 DEBUG anaconda: enablefilesystems is a direct step
10:49:50,328 INFO anaconda: leaving (1) step enablefilesystems
10:49:50,329 INFO anaconda: moving (1) to step reposetup
10:49:50,331 DEBUG anaconda: reposetup is a direct step
10:49:50,376 INFO anaconda: transferring install image to install target
10:49:53,455 INFO anaconda: REMOVING stage2 image from /mnt/sysimage /boot/upgrade
10:50:20,620 INFO anaconda: initscripts is arch: i686
10:50:20,644 INFO anaconda: po.arch is arch: i686
10:50:20,646 INFO anaconda: leaving (1) step reposetup
10:50:20,647 INFO anaconda: moving (1) to step postselection
10:50:20,648 DEBUG anaconda: postselection is a direct step
10:52:34,678 INFO anaconda: leaving (1) step postselection
10:52:34,680 INFO anaconda: moving (1) to step reipl
10:52:34,681 DEBUG anaconda: reipl is a direct step
10:52:34,682 INFO anaconda: leaving (1) step reipl
10:52:34,683 INFO anaconda: moving (1) to step install
10:52:35,129 INFO anaconda: leaving (1) step install
10:52:35,132 INFO anaconda: moving (1) to step preinstallconfig
10:52:35,133 DEBUG anaconda: preinstallconfig is a direct step
10:52:35,249 INFO anaconda: Backend logger started.
10:52:35,254 DEBUG anaconda: isys.py:mount()- going to mount /selinux on /mnt/sysimage/selinux as selinuxfs with o
ptions defaults
10:52:35,282 DEBUG anaconda: isys.py:mount()- going to mount /proc/bus/usb on /mnt/sysimage/proc/bus/usb as usbfs 
with options defaults
10:52:35,316 INFO anaconda: leaving (1) step preinstallconfig
10:52:35,317 INFO anaconda: moving (1) to step installpackages
10:52:35,318 DEBUG anaconda: installpackages is a direct step
10:52:35,319 INFO anaconda: Preparing to install packages
10:53:28,723 WARNING anaconda: /usr/lib/anaconda/gui.py:542: GtkWarning: gtk_progress_set_percentage: assertion `p
ercentage >= 0 && percentage <= 1.0' failed
  self.progress.set_fraction (newval)

11:47:51,094 INFO anaconda: leaving (1) step installpackages
11:47:51,098 INFO anaconda: moving (1) to step postinstallconfig
11:47:51,099 DEBUG anaconda: postinstallconfig is a direct step
11:47:51,322 INFO anaconda: Expiring yum caches
11:47:56,374 INFO anaconda: Backend logger stopped.
11:47:56,378 INFO anaconda: leaving (1) step postinstallconfig
11:47:56,379 INFO anaconda: moving (1) to step copylogs
11:47:56,380 DEBUG anaconda: copylogs is a direct step
11:47:56,381 INFO anaconda: Copying anaconda logs

more anaconda.yum.log 
[2010-05-27 10:49:53,121] INFO_2  : Loaded plugins: blacklist, whiteout
[2010-05-27 10:49:53,157] WARNING : Repo Fedora 13 - i386 - Test Updates Debug contains -source or -debuginfo, exc
luding
[2010-05-27 10:49:53,162] WARNING : Repo Fedora 13 - Test Updates Source contains -source or -debuginfo, excluding
[2010-05-27 10:49:53,181] WARNING : Repo Fedora 13 - i386 - Updates - Debug contains -source or -debuginfo, exclud
ing
[2010-05-27 10:49:53,186] WARNING : Repo Fedora 13 - Updates Source contains -source or -debuginfo, excluding
[2010-05-27 10:49:53,204] WARNING : Repo Fedora 13 - i386 - Debug contains -source or -debuginfo, excluding
[2010-05-27 10:49:53,209] WARNING : Repo Fedora 13 - Source contains -source or -debuginfo, excluding
[2010-05-27 10:49:53,336] DEBUG   : Config time: 0.613
[2010-05-27 10:49:57,510] DEBUG   : repo time: 2.585
[2010-05-27 10:49:57,558] DEBUG   : Setting up Package Sacks
[2010-05-27 10:49:57,779] DEBUG   : rpmdb time: 0.001
[2010-05-27 10:49:58,272] DEBUG   : pkgsack time: 0.713
[2010-05-27 10:50:19,010] DEBUG   : group time: 20.732
[2010-05-27 10:50:20,612] DEBUG   : group time: 1.582
[2010-05-27 10:50:20,702] DEBUG   : Building updates object
[2010-05-27 10:50:21,063] DEBUG   : up:Obs Init time: 0.211
[2010-05-27 10:50:21,296] DEBUG   : up:simple updates time: 0.231
[2010-05-27 10:50:21,305] DEBUG   : up:obs time: 0.008
[2010-05-27 10:50:21,309] DEBUG   : up:condense time: 0.004
[2010-05-27 10:50:21,310] DEBUG   : updates time: 0.607
[2010-05-27 10:51:08,613] DEBUG   : TSINFO: Marking python-alsa-1.0.22-1.fc13.i686 as install for alsa-tools-1.0.2
--More--(0%)
2010-05-27 10:51:09,419] DEBUG   : TSINFO: Marking artwiz-aleczapka-edges-fonts-1.3-10.fc13.noarch as install for
 artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,429] DEBUG   : TSINFO: Marking artwiz-aleczapka-mints-strong-fonts-1.3-10.fc13.noarch as inst
all for artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,446] DEBUG   : TSINFO: Marking artwiz-aleczapka-drift-fonts-1.3-10.fc13.noarch as install for
 artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,466] DEBUG   : TSINFO: Marking artwiz-aleczapka-gelly-fonts-1.3-10.fc13.noarch as install for
 artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,480] DEBUG   : TSINFO: Marking artwiz-aleczapka-smoothansi-fonts-1.3-10.fc13.noarch as instal
l for artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,494] DEBUG   : TSINFO: Marking artwiz-aleczapka-aqui-fonts-1.3-10.fc13.noarch as install for 
artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,503] DEBUG   : TSINFO: Marking artwiz-aleczapka-anorexia-fonts-1.3-10.fc13.noarch as install 
for artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,513] DEBUG   : TSINFO: Marking artwiz-aleczapka-mints-mild-fonts-1.3-10.fc13.noarch as instal
l for artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,530] DEBUG   : TSINFO: Marking artwiz-aleczapka-kates-fonts-1.3-10.fc13.noarch as install for
 artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,540] DEBUG   : TSINFO: Marking artwiz-aleczapka-cure-fonts-1.3-10.fc13.noarch as install for 
artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,554] DEBUG   : TSINFO: Marking artwiz-aleczapka-fkp-fonts-1.3-10.fc13.noarch as install for a
rtwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,568] DEBUG   : TSINFO: Marking artwiz-aleczapka-snap-fonts-1.3-10.fc13.noarch as install for 
artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,577] DEBUG   : TSINFO: Marking artwiz-aleczapka-glisp-fonts-1.3-10.fc13.noarch as install for
 artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,590] DEBUG   : TSINFO: Marking artwiz-aleczapka-lime-fonts-1.3-10.fc13.noarch as install for 
artwiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:09,607] DEBUG   : TSINFO: Marking artwiz-aleczapka-nu-fonts-1.3-10.fc13.noarch as install for ar
twiz-aleczapka-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:10,408] DEBUG   : TSINFO: Marking libmpc-0.8.1-1.fc13.i686 as install for avr-gcc-4.5.0-1.fc13.i
686
[2010-05-27 10:51:11,017] DEBUG   : TSINFO: Marking bitmap-lucida-typewriter-fonts-0.3-16.fc13.noarch as install f
or bitmap-fonts-compat-0.3-16.fc13.noarch
[2010-05-27 10:51:11,039] DEBUG   : TSINFO: Marking bitmap-console-fonts-0.3-16.fc13.noarch as install for bitmap-
fonts-compat-0.3-16.fc13.noarch
[2010-05-27 10:51:11,054] DEBUG   : TSINFO: Marking bitmap-fangsongti-fonts-0.3-16.fc13.noarch as install for bitm
ap-fonts-compat-0.3-16.fc13.noarch
[2010-05-27 10:51:11,080] DEBUG   : TSINFO: Marking bitmap-fixed-fonts-0.3-16.fc13.noarch as install for bitmap-fo
nts-compat-0.3-16.fc13.noarch
[2010-05-27 10:51:11,106] DEBUG   : TSINFO: Marking ucs-miscfixed-fonts-0.3-5.fc13.noarch as install for bitmap-fo
nts-compat-0.3-16.fc13.noarch
[2010-05-27 10:51:12,551] DEBUG   : TSINFO: Marking cheese-libs-2.30.1-1.fc13.i686 as install for cheese-2.30.1-1.
fc13.i686
[2010-05-27 10:51:12,704] DEBUG   : TSINFO: Marking cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch as install f
--More--(2%)
[2010-05-27 10:51:12,704] DEBUG   : TSINFO: Marking cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch as install f
or cjkuni-uming-fonts-0.2.20080216.1-37.fc13.noarch
[2010-05-27 10:51:12,756] DEBUG   : TSINFO: Marking json-glib-0.10.4-1.fc13.i686 as install for clutter-1.2.6-1.fc
13.i686
[2010-05-27 10:51:12,957] DEBUG   : TSINFO: Marking goddard-backgrounds-kde-13.0.0-1.fc13.noarch as install for kd
ebase-workspace-4.4.3-1.fc13.1.i686
[2010-05-27 10:51:13,002] DEBUG   : TSINFO: Marking goddard-kde-theme-13.0.1-1.fc13.noarch as install for kde-sett
ings-kdm-4.4-16.fc13.noarch
[2010-05-27 10:51:13,005] DEBUG   : Quick matched goddard-kde-theme-13.0.1-1.fc13.noarch to require for system-ksp
lash-theme
[2010-05-27 10:51:13,986] DEBUG   : TSINFO: Marking ghostscript-cups-8.71-9.fc13.i686 as install for 1:cups-1.4.3-
6.fc13.i686
[2010-05-27 10:51:14,325] DEBUG   : TSINFO: Marking compat-db47-4.7.25-2.fc13.i686 as install for sendmail-8.14.4-
4.fc13.i686
[2010-05-27 10:51:14,333] DEBUG   : Quick matched compat-db47-4.7.25-2.fc13.i686 to require for libdb-4.7.so
[2010-05-27 10:51:14,690] DEBUG   : TSINFO: Marking python-twisted-web-8.2.0-3.fc12.i686 as install for deluge-1.2
.0-1.fc13.noarch
[2010-05-27 10:51:16,091] DEBUG   : TSINFO: Marking libeina-0.9.9.063-6.fc13.i686 as install for eet-1.2.3-2.fc13.
i686
[2010-05-27 10:51:16,453] DEBUG   : TSINFO: Marking js-1.70-10.fc13.i686 as install for elinks-0.12-0.22.pre5.fc13
.i686
[2010-05-27 10:51:16,686] DEBUG   : TSINFO: Marking telepathy-gabble-0.9.11-1.fc13.i686 as install for empathy-2.3
0.1-2.fc13.i686
[2010-05-27 10:51:16,697] DEBUG   : TSINFO: Marking telepathy-haze-0.3.3-2.fc13.i686 as install for empathy-2.30.1
--More--(3%)
[2010-05-27 10:51:16,703] DEBUG   : TSINFO: Marking telepathy-filesystem-0.0.2-1.fc12.noarch as install for empath
y-2.30.1-2.fc13.i686
[2010-05-27 10:51:16,710] DEBUG   : TSINFO: Marking telepathy-idle-0.1.6-1.fc13.i686 as install for empathy-2.30.1
-2.fc13.i686
[2010-05-27 10:51:16,717] DEBUG   : TSINFO: Marking telepathy-salut-0.3.10-2.fc13.i686 as install for empathy-2.30
.1-2.fc13.i686
[2010-05-27 10:51:16,724] DEBUG   : TSINFO: Marking libgnome-keyring-2.30.0-2.fc13.i686 as install for empathy-2.3
0.1-2.fc13.i686
[2010-05-27 10:51:16,734] DEBUG   : TSINFO: Marking telepathy-butterfly-0.5.9-1.fc13.noarch as install for empathy
-2.30.1-2.fc13.i686
[2010-05-27 10:51:17,106] DEBUG   : TSINFO: Marking gtkimageview-1.6.3-2.fc12.i686 as install for evolution-2.30.1
-5.fc13.i686
[2010-05-27 10:51:17,345] DEBUG   : TSINFO: Marking dmz-cursor-themes-0.4-3.fc13.noarch as install for fedora-gnom
e-theme-13.3-1.fc13.noarch
[2010-05-27 10:51:17,880] DEBUG   : TSINFO: Marking flex-static-2.5.35-9.fc13.i686 as install for flex-2.5.35-9.fc
13.i686
[2010-05-27 10:51:18,201] DEBUG   : TSINFO: Marking foomatic-filters-4.0.4-10.fc13.i686 as install for foomatic-4.
0.4-10.fc13.i686
[2010-05-27 10:51:20,407] DEBUG   : TSINFO: Marking goddard-backgrounds-gnome-13.0.0-1.fc13.noarch as install for 
gnome-desktop-2.30.0-3.fc13.i686
[2010-05-27 10:51:20,506] DEBUG   : TSINFO: Marking avahi-ui-0.6.25-6.fc13.i686 as install for gnome-disk-utility-
2.30.1-1.fc13.i686
[2010-05-27 10:51:20,760] DEBUG   : TSINFO: Marking libgnome-keyring-devel-2.30.0-2.fc13.i686 as install for libgn
omeui-devel-2.24.3-1.fc13.i686
[2010-05-27 10:51:22,092] DEBUG   : TSINFO: Marking orc-0.4.4-2.fc13.i686 as install for gstreamer-plugins-bad-fre
e-0.10.18-2.fc13.i686
[2010-05-27 10:51:22,397] DEBUG   : TSINFO: Marking source-highlight-2.10-5.fc13.i686 as install for gtk-doc-1.14-
1.fc13.noarch
[2010-05-27 10:51:23,219] DEBUG   : TSINFO: Marking hal-filesystem-0.5.14-3.fc13.i686 as install for hal-0.5.14-3.
fc13.i686
[2010-05-27 10:51:26,732] DEBUG   : TSINFO: Marking fedora-kde-icon-theme-0.0.2-2.fc13.noarch as install for kde-s
ettings-4.4-16.fc13.noarch
[2010-05-27 10:51:26,764] DEBUG   : TSINFO: Marking desktop-backgrounds-compat-9.0.0-14.noarch as install for kde-
settings-kdm-4.4-16.fc13.noarch
[2010-05-27 10:51:27,346] DEBUG   : TSINFO: Marking hal-storage-addon-0.5.14-3.fc13.i686 as install for kdebase-ru
ntime-4.4.3-1.fc13.1.i686
[2010-05-27 10:51:27,575] DEBUG   : TSINFO: Marking polkit-kde-0.95.1-4.fc13.i686 as install for kdebase-workspace
-4.4.3-1.fc13.1.i686
[2010-05-27 10:51:30,007] DEBUG   : TSINFO: Marking 9:kdevelop-4.0.0-1.fc13.i686 as update for 9:kdevelop-libs-4.0
.0-1.fc13.i686
[2010-05-27 10:51:30,016] DEBUG   : TSINFO: Marking kdevplatform-libs-1.0.0-1.fc13.i686 as install for 9:kdevelop-
libs-4.0.0-1.fc13.i686
[2010-05-27 10:51:30,020] DEBUG   : Quick matched kdevplatform-libs-1.0.0-1.fc13.i686 to require for libsublime.so
.1
[2010-05-27 10:51:30,021] DEBUG   : Quick matched kdevplatform-libs-1.0.0-1.fc13.i686 to require fo

2010-05-27 10:51:30,022] DEBUG   : Quick matched kdevplatform-libs-1.0.0-1.fc13.i686 to require for libkdevplatfo
rmproject.so.1
[2010-05-27 10:51:30,023] DEBUG   : Quick matched kdevplatform-libs-1.0.0-1.fc13.i686 to require for libkdevplatfo
rminterfaces.so.1
[2010-05-27 10:51:30,023] DEBUG   : Quick matched kdevplatform-libs-1.0.0-1.fc13.i686 to require for libkdevplatfo
rmlanguage.so.1
[2010-05-27 10:51:31,797] DEBUG   : TSINFO: Marking c-ares-1.7.0-1.fc13.i686 as install for libcurl-7.20.0-4.fc13.
i686
[2010-05-27 10:51:32,398] DEBUG   : TSINFO: Marking libimobiledevice-1.0.1-1.fc13.i686 as install for libgpod-0.7.
91-2.fc13.i686
[2010-05-27 10:51:32,405] DEBUG   : TSINFO: Marking usbmuxd-1.0.4-1.fc13.i686 as install for libgpod-0.7.91-2.fc13
.i686
[2010-05-27 10:51:32,412] DEBUG   : TSINFO: Marking libplist-1.3-1.fc13.i686 as install for libgpod-0.7.91-2.fc13.
i686
[2010-05-27 10:51:33,158] DEBUG   : TSINFO: Marking libsndfile-1.0.20-5.fc13.i686 as update for pulseaudio-libs-gl
ib2-0.9.21-6.fc13.i686
[2010-05-27 10:51:33,162] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1
[2010-05-27 10:51:33,162] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1
[2010-05-27 10:51:33,163] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1
[2010-05-27 10:51:33,169] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1

[2010-05-27 10:51:33,170] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1
[2010-05-27 10:51:33,171] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1(libsndfil
e.so.1.0)
[2010-05-27 10:51:33,172] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1(libsndfil
e.so.1.0)
[2010-05-27 10:51:33,173] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1(libsndfil
e.so.1.0)
[2010-05-27 10:51:33,175] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1(libsndfil
e.so.1.0)
[2010-05-27 10:51:33,176] DEBUG   : Quick matched libsndfile-1.0.20-5.fc13.i686 to require for libsndfile.so.1(libsndfil
e.so.1.0)
[2010-05-27 10:51:34,772] DEBUG   : TSINFO: Marking mono-wcf-2.6.1-2.fc13.i686 as install for mono-core-2.6.1-2.fc13.i68
6
[2010-05-27 10:51:34,776] DEBUG   : Quick matched mono-wcf-2.6.1-2.fc13.i686 to require for mono(System.Runtime.Serializ
ation)
[2010-05-27 10:51:35,391] DEBUG   : TSINFO: Marking hostname-3.04-2.fc13.i686 as install for net-tools-1.60-102.fc13.i68
6
[2010-05-27 10:51:35,414] DEBUG   : TSINFO: Marking netbeans-apisupport-6.8-6.fc13.noarch as install for netbeans-6.8-6.
fc13.noarch
[2010-05-27 10:51:35,421] DEBUG   : TSINFO: Marking netbeans-ide-6.8-6.fc13.noarch as install for netbeans-6.8-6.fc13.no
arch
[2010-05-27 10:51:35,428] DEBUG   : TSINFO: Marking netbeans-java-6.8-6.fc13.noarch as install for netbeans-6.8-6.fc13.n
oarch
[2010-05-27 10:51:36,108] DEBUG   : TSINFO: Marking vpnc-script-0.5.3-7.fc13.noarch as install for openconnect-2.22-1.fc
13.i686
[2010-05-27 10:51:42,657] DEBUG   : TSINFO: Marking perl-YAML-Syck-1.07-3.fc13.i686 as install for perl-Date-Manip-6.07-
1.fc13.noarch
[2010-05-27 10:51:44,076] DEBUG   : TSINFO: Marking perl-Net-SMTP-SSL-1.01-4.fc13.noarch as install for perl-MailTools-2
.06-1.fc13.noarch
[2010-05-27 10:51:44,862] DEBUG   : TSINFO: Marking plymouth-core-libs-0.8.2-3.fc13.i686 as install for plymouth-0.8.2-3
.fc13.i686
[2010-05-27 10:51:50,913] DEBUG   : TSINFO: Marking python-dmidecode-3.10.12-1.fc13.i686 as install for rhn-client-tools
-0.9.2-1.fc13.noarch
[2010-05-27 10:51:51,693] DEBUG   : TSINFO: Marking bea-stax-api-1.2.0-0.5.rc1.fc12.i686 as install for saxon-9.2.0.3-1.
fc13.noarch
[2010-05-27 10:51:51,700] DEBUG   : TSINFO: Marking bea-stax-1.2.0-0.5.rc1.fc12.i686 as install for saxon-9.2.0.3-1.fc13
.noarch
2010-05-27 10:51:52,107] DEBUG   : TSINFO: Marking cal10n-0.7.2-2.fc13.noarch as install for slf4j-1.5.10-5.fc13.noarch
[2010-05-27 10:51:52,571] DEBUG   : TSINFO: Marking sqljet-1.0.2-3.fc13.noarch as install for svnkit-1.3.2-2.fc13.noarch
[2010-05-27 10:51:54,141] DEBUG   : TSINFO: Marking smp_utils-0.94-3.fc12.i686 as install for udisks-1.0.1-1.fc13.i686
[2010-05-27 10:51:54,258] DEBUG   : TSINFO: Marking libnih-1.0.1-6.fc13.i686 as install for upstart-0.6.5-5.fc13.i686
[2010-05-27 10:51:54,261] DEBUG   : Quick matched libnih-1.0.1-6.fc13.i686 to require for libnih.so.1(LIBNIH_1_0)
[2010-05-27 10:51:54,262] DEBUG   : Quick matched libnih-1.0.1-6.fc13.i686 to require for libnih.so.1
[2010-05-27 10:51:54,263] DEBUG   : Quick matched libnih-1.0.1-6.fc13.i686 to require for libnih-dbus.so.1(LIBNIH_DBUS_1
_0)
[2010-05-27 10:51:56,341] DEBUG   : TSINFO: Marking artwiz-aleczapka-fonts-common-1.3-10.fc13.noarch as install for artw
iz-aleczapka-anorexia-fonts-1.3-10.fc13.noarch
[2010-05-27 10:51:56,482] DEBUG   : TSINFO: Marking goddard-backgrounds-single-13.0.0-1.fc13.noarch as install for deskt
op-backgrounds-compat-9.0.0-14.noarch
[2010-05-27 10:51:56,572] DEBUG   : TSINFO: Marking kdevplatform-1.0.0-1.fc13.i686 as install for 9:kdevelop-4.0.0-1.fc1
3.i686
[2010-05-27 10:51:56,752] DEBUG   : TSINFO: Marking jvyamlb-0.2.5-4.fc13.noarch as install for netbeans-ide-6.8-6.fc13.n
oarch
[2010-05-27 10:51:56,759] DEBUG   : TSINFO: Marking bytelist-1.0.3-2.fc13.noarch as install for netbeans-ide-6.8-6.fc13.
noarch
[2010-05-27 10:51:56,766] DEBUG   : TSINFO: Marking swingx-0.9.4-7.fc12.noarch as install for netbeans-ide-6.8-6.fc13.no
arch
[2010-05-27 10:51:56,881] DEBUG   : TSINFO: Marking python-twisted-core-8.2.0-5.fc13.i686 as install for python-twisted-
web-8.2.0-3.fc12.i686
[2010-05-27 10:51:56,887] DEBUG   : TSINFO: Marking SOAPpy-0.11.6-10.fc12.noarch as install for python-twisted-web-8.2.0
-3.fc12.i686
[2010-05-27 10:51:56,915] DEBUG   : TSINFO: Marking antlr3-java-3.2-4.fc13.noarch as install for sqljet-1.0.2-3.fc13.noa
rch
[2010-05-27 10:51:56,934] DEBUG   : TSINFO: Marking papyon-0.4.6-2.fc13.noarch as install for telepathy-butterfly-0.5.9-
1.fc13.noarch
[2010-05-27 10:51:56,941] DEBUG   : TSINFO: Marking python-telepathy-0.15.17-1.fc13.noarch as install for telepathy-butt
erfly-0.5.9-1.fc13.noarch
[2010-05-27 10:51:57,034] DEBUG   : TSINFO: Marking avahi-gobject-0.6.25-6.fc13.i686 as install for telepathy-salut-0.3.
10-2.fc13.i686
[2010-05-27 10:51:57,067] DEBUG   : TSINFO: Marking python-fpconst-0.7.3-6.fc12.noarch as install for SOAPpy-0.11.6-10.f
c12.noarch
[2010-05-27 10:51:57,077] DEBUG   : TSINFO: Marking PyXML-0.8.4-17.fc13.i686 as install for SOAPpy-0.11.6-10.fc12.noarch
[2010-05-27 10:51:57,125] DEBUG   : TSINFO: Marking jcodings-1.0.2-2.fc13.noarch as install for bytelist-1.0.3-2.fc13.no
[2010-05-27 10:52:27,210] DEBUG   : Depsolve time: 83.859
[2010-05-27 11:47:46,998] DEBUG   : Warning: scriptlet or other non-fatal errors occurred during transaction.
[2010-05-27 11:47:47,525] CRITICAL: empathy-2.30.1-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,527] CRITICAL: 9:kdevelop-libs-4.0.0-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,528] CRITICAL: sil-abyssinica-fonts-1.0-8.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,530] CRITICAL: 32:bind-9.7.0-9.P1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,532] CRITICAL: geronimo-jta-1.1.1-5.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,533] CRITICAL: geronimo-jms-1.1.1-6.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,535] CRITICAL: gnupg2-2.0.14-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,536] CRITICAL: linux-firmware-20100106-4.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,538] CRITICAL: libsndfile-utils-1.0.20-5.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,539] CRITICAL: xdg-utils-1.0.2-18.20100409.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,541] CRITICAL: dracut-005-3.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,543] CRITICAL: plymouth-graphics-libs-0.8.2-3.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,544] CRITICAL: upower-0.9.4-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,546] CRITICAL: udisks-1.0.1-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,548] CRITICAL: telepathy-glib-0.10.5-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,549] CRITICAL: lohit-devanagari-fonts-2.4.3-6.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,551] CRITICAL: bitmap-fonts-compat-0.3-16.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,553] CRITICAL: device-mapper-multipath-libs-0.4.9-14.fc13.i686 was supposed to be installed but is 
not!
[2010-05-27 11:47:47,554] CRITICAL: module-init-tools-3.11.1-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,556] CRITICAL: pulseaudio-libs-glib2-0.9.21-6.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,557] CRITICAL: 1:eclipse-jdt-3.5.2-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,559] CRITICAL: logwatch-7.3.6-51.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,561] CRITICAL: nss_db-2.2.3-0.3.pre1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,562] CRITICAL: bzr-2.1.1-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,564] CRITICAL: cairo-devel-1.8.10-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,565] CRITICAL: xorg-x11-drv-vmmouse-12.6.9-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,567] CRITICAL: xml-common-0.6.3-32.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,568] CRITICAL: fetchmail-6.3.14-1.fc13.i686 was supposed
[2010-05-27 11:47:47,570] CRITICAL: 6:kdemultimedia-libs-4.4.3-1.fc13.1.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,572] CRITICAL: system-config-language-1.3.4-1.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,573] CRITICAL: gtk+extra-2.1.2-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,575] CRITICAL: abrt-addon-kerneloops-1.1.0-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,576] CRITICAL: libgnat-4.4.4-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,578] CRITICAL: libblkid-2.17.2-4.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,580] CRITICAL: perl-DateTime-Format-W3CDTF-0.05-1.fc13.noarch was supposed to be installed but is n
ot!
[2010-05-27 11:47:47,581] CRITICAL: 1:perl-TimeDate-1.20-1.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,583] CRITICAL: netbeans-javaparser-6.8-1.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,584] CRITICAL: ruby-gdkpixbuf2-0.19.4-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,586] CRITICAL: gnome-packagekit-extra-2.30.1-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,588] CRITICAL: 2:shadow-utils-4.1.4.2-5.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,589] CRITICAL: ncurses-5.7-7.20100130.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,591] CRITICAL: cryptsetup-luks-1.1.0-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,592] CRITICAL: elinks-0.12-0.22.pre5.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,594] CRITICAL: 1:gnome-utils-2.30.0-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,595] CRITICAL: djvulibre-libs-3.5.22-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,597] CRITICAL: libcom_err-devel-1.41.10-6.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,598] CRITICAL: apr-util-ldap-1.3.9-3.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,600] CRITICAL: wxGTK-media-2.8.11-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,602] CRITICAL: gnome-backgrounds-2.30.0-1.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,603] CRITICAL: eggdbus-0.6-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,605] CRITICAL: libuser-0.56.16-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,606] CRITICAL: gzip-1.3.13-3.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,608] CRITICAL: libattr-2.4.44-3.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,609] CRITICAL: kdepimlibs-4.4.3-1.fc13.1.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,611] CRITICAL: ekiga-3.2.6-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,613] CRITICAL: ccache-2.4-17.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,614] CRITICAL: libgfortran-4.4.4-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,616] CRITICAL: 6:kdelibs-common-4.4.3-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,617] CRITICAL: python-meh-0.7-1.fc13.noarch was supposed to be installed but is not!
[2010-05-27 11:47:47,619] CRITICAL: perl-IO-Compress-Zlib-2.020-112.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,620] CRITICAL: 2:vim-common-7.2.411-1.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,622] CRITICAL: gcc-4.4.4-2.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,624] CRITICAL: xorg-x11-resutils-7.1-10.fc13.i686 was supposed to be installed but is not!
[2010-05-27 11:47:47,625] CRITICAL: ipw2100-firmware-1.3-11.fc13.noarch was supposed to be installed but is not!
Comment 9 suri 2010-06-29 05:24:28 EDT
I have removed preupgrade for version Fedora 12 and installed preupgrade - 1.1.4-1.fc13.noarch. This give me exactly the same errors.I have also removed selinux-policy-targeted and selinux-policy again this produces the same error. I have used preupgrade to upgrade from Fedora 11 to Fedora 12 without a problem, so I can't understand why this should be happening. I guess it's time to get an upgrade disk as preupgrade doesn't work for me anymore.
Comment 10 suri 2010-07-07 07:48:42 EDT
I have tried the upgrade disk, but there is no option to upgrade and I am not using the live CD. I downloaded the 5 ISO images from the fedora REPOS hop
ing it will give up an option to upgrade.It did give me an option of installing or upgrading, but when I select this option it has no option to upgrade exiting system.So I just changed my REPOS to fedora 13 and did an upgrade using yum....This worked a treat. What annoys me about this whole thing is that fedora recommend using Preupgrade to upgrade systems, but it doesn't work (and it hasn't been working for a while,since fedora 8)and most disappointing is the lack of support, also information the errors produces are not very helpful.This is the first time I have used Bugzilla... I am not impressed. No wonder linux is not catching on... I think I will switch to Mac os
Comment 11 Matt 2010-08-01 07:52:24 EDT
I have a system with this issue as well. I've only tried the upgrade via DVD, but I also do not get the option to upgrade. Is anyone interested/available for working on this? Otherwise I'll just use Suri's workaround of Preupgrade + yum.
Comment 12 suri 2010-08-06 13:06:57 EDT
Matt I wouldn't hold your breath, I don't think anyone is interested ... this is  been going on for ages. I wrote Richard Hughes a e-mail and he got confused. Amazing and never heard from him again.What a laugh.

Just go a head and change your repos to fedora 13 and use yum to upgrade.
Comment 13 Richard Hughes 2010-08-07 06:28:36 EDT
(In reply to comment #12)
> Matt I wouldn't hold your breath, I don't think anyone is interested ... this
> is  been going on for ages. I wrote Richard Hughes a e-mail and he got
> confused. Amazing and never heard from him again.What a laugh.

Ohh, I'm sorry. I didn't know that sending a developer nag-email to his private email account was a good way to get a bug resolved.

Perhaps debugging this and sending a patch might be a more productive use of your time. Open source only works if people send patches. Just nagging the developer and sending "me too" replies on bugs isn't particularly helpful.

Sorry to be blunt.
Comment 14 suri 2010-08-07 08:56:14 EDT
You can be as blunt as you like , but excuse me I thought "Red hat Bugzilla" was  a place where people came to to find solutions to there problems and log bugs.So far that has not happened.I would definitely would have created a patch, if I knew what the problem was. Seems as you are in the dark as much as I am. This has been logged for over a month and I had no reply , so  I thought I would send you a e-mail as this issue was assigned to you.And the e-mail was to find out if the issue would be solved in the next release of Fedora and yes  I did gripe about  Fedora recommending using Pre-upgrade to upgrade exiting systems when there is still problems with Pre-upgrade. For your information this was not nag e-mail,it was just stating the obvious.
 I have been working on my own with this problem for quite a while when I ran out of options, so I thought I would give " Bugzilla " a go  and to date I have not had any sign that this issue is being addressed. I have solved it my way and don't think I be using Bugzilla again. Bye.
Comment 15 Matt 2010-08-07 09:25:52 EDT
My apologies for being ambiguous. Please let me rephrase my post.

I am having an issue with upgrading from 12 to 13 that sounds similar to
Suri's. This occurred on 2 of the 5 systems I attempted to upgrade. 

Because I'm married, work full time, have a house and body to maintain, and
work on another (hopefully) open source project, I do not have time to learn a
new language, application, and development environment. However, if it would be
useful to anyone that I upload log files (anaconda.log, anaconda.yum.log,
anything else?), I will. I could also test a fix, if one were provided.

On the other hand, if no one is going to look at it (I can see this is a Low
priority and 14 is due fairly soon), I won't bother. Don't misunderstand: I
believe this is a valid option, as I know we can't fix every single defect in
our applications. Even in proprietary software, paid full time developers
rarely have the opportunity to fix every single defect.
Comment 16 Wayne Frazee 2010-08-25 15:31:09 EDT
No diagnostic information is provided or made available in the dialog.

IN a case where you have multiple hard drives in a given system, it is impossible to know what order and which one needs to be highlighted as the "boot" drive.

Regardless, on my system I have gone through this process 4 times and no matter which one is selected via the radio button as the one containing the boot partition, this dialog is presented.

When accessing via VNC< you have zero additional control outside of clicking the button and accepting a forced reboot.

At console, going through this process, I can use the control key combinations to access alternate terminals.  Commands will execute.
Comment 17 Wayne Frazee 2010-08-25 16:37:47 EDT
I have published a video of the pre-upgrade process and where the dialog is presented.

http://www.wanderson.org/Fedora_PreUpgrade_Problem/Fedora_PreUpgrade_Problem.html
Comment 18 Camilo 2010-09-22 18:04:45 EDT
Hi all.

If someone reads this message, please show the content of file /etc/fedora-release.

I have found the same problem when updating from F12 to F13.

The first upgrade failed due to the update of package squid.

After failure, I rebooted and reinstalled squid package manually.

When I tried to finish preupgrade, it showed the same message error:

"the root for the previously installed system was not found".

In anaconda logs, I saw the message:

"INFO: product Fedora version 13 found on <partition> is not upgradable".

It found an installation of F13 because file /etc/fedora-release had already been updated.

I changed that file to the F12 value, rebooted and... it worked!
Preupgrade finished and after reboot I changed back the release file.

I hope this workaround is useful for anybody.

Regards.
Camilo.
Comment 19 Bug Zapper 2010-11-03 09:14:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2010-12-03 08:52:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.